configure(1)

NAME
configure — prepare source code to be built

SYNOPSIS
configure HOST [--target=TARGET] [--srcdir=DIR] [--rm]
            [--site=SITE] [--prefix=DIR] [--exec_prefix=DIR]
            [--program_prefix=DIR] [--tmpdir=DIR]
            [--with-PACKAGE[=YES/NO]] [--without-PACKAGE]
            [--enable-FEATURE[=YES/NO]] [--disable-FEATURE]
            [--norecursion] [--nfp] [-s] [-v] [-V | --version] [--help]

DESCRIPTION
configure is a program used to prepare souce code to be built. It does this by generating Makefiles and .gdbinit files, creating symlinks, recursing in subdirectories, and some other miscellaneous file editing.

OPTIONS
configure accepts the following options:

--target=TARGET
    Requests that the sources be configured to target the TARGET machine. If no target is specified explicitly, the target is assumed to be the same as the host.

--srcdir=DIR
    tells configure to find the source in DIR. Object code is always built in the current directory, `.'.

--rm
    asks configure to remove a configuration rather than create one.

--site=SITE
    asks configure to use any site-specific Makefile fragments for SITE when building Makefiles.

--prefix=DIR
    sets the location in which to install files to DIR. The default is "/ade".

--exec_prefix=DIR
    sets the root directory for host-dependent files to DIR. The default location is the value of prefix.

--program_prefix=DIR
    configures the source to install programs which have the same names as common Unix programs, such as "make", in DIR. Also applies to programs which might be used for cross-compilation.

--tmpdir=DIR
    sets the directory in which configure creates temporary files to DIR.

--with-PACKAGE[=YES/NO]
    sets a flag for the build to recognize that PACKAGE is explicitly present or not present. If =YES/NO is nonexistent, the default is YES. --without-PACKAGE is equivalent to --with-PACKAGE=no.

--enable-FEATURE[=YES/NO]
    sets a flag for the build to recognize that FEATURE should be included or not included. If =YES/NO is nonexistent, the default is YES. --disable-FEATURE is equivalent to --enable-FEATURE=no.

--norecursion
    asks that only the current directory be configured. Normally configure recurs on subdirectories.

-nfp
    Notifies configure that all of the specified hosts have no floating point units.

-s  used internally by configure to supress status messages on subdirectory recursions. Override with -v

-v  verbose output. Asks that configure print status lines for each directory configured. Normally, only the status lines for the current directory are printed.

--version
    -V prints configure version number.

-help
    displays a brief usage summary.

FILES
configure.in    for each directory's individual needs
Makefile.in    Makefile template
config.sub    for parsing configuration names
config.guess    for guessing HOST when not specified
config.status    non-recursively rebuilds current directory

FILES
a.out    the namelist and text space.
gmon.out    dynamic call graph and profile.
gmon.sum summarized dynamic call graph and profile.

SEE ALSO
`configure' entry in info.